> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Auto Schedule

> List your active auto schedules, including each schedule's title, times, and last scheduled date, which shows the next or most recent schedule date.

List the active auto schedules. Returns an array of schedules with titles, times, and last scheduled date. The `lastScheduleDate` timestamp is the next schedule date or the previously scheduled date if no pending posts.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string`

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

```javascript cURL theme={"system"}
curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/auto-schedule/list
```

```javascript JavaScript theme={"system"}
const API_KEY = "API_KEY";

fetch("https://api.ayrshare.com/api/auto-schedule/list", {
      method: "GET",
      headers: {
        "Authorization": `Bearer ${API_KEY}`
      }
    })
      .then((res) => res.json())
      .then((json) => console.log(json))
      .catch(console.error);
```

```python Python theme={"system"}
import requests

headers = {'Authorization': 'Bearer API_KEY'}

r = requests.get('https://api.ayrshare.com/api/auto-schedule/list', headers=headers)

print(r.json())
```

```php PHP theme={"system"}

<?php

$API_KEY = "API_KEY";

$ch = curl_init();

curl_setopt_array($ch, [
CURLOPT_URL => "https://api.ayrshare.com/api/auto-schedule/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
    "Authorization: Bearer " . $API_KEY
]
]);

$response = curl_exec($ch);

if (curl_errno($ch)) {
echo 'Error: ' . curl_error($ch);
} else {
$json = json_decode($response, true);
print_r($json);
}

curl_close($ch);
```

```csharp C# theme={"system"}
using System;
using System.Net.Http;
using System.Threading.Tasks;

namespace AutoScheduleGETRequest_csharp
{
    class AutoSchedule
    {
        private static readonly HttpClient client = new HttpClient();

        static async Task Main(string[] args)
        {
            string API_KEY = "API_KEY";
            string url = "https://api.ayrshare.com/api/auto-schedule/list";

            client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);

            try
            {
                HttpResponseMessage response = await client.GetAsync(url);
                response.EnsureSuccessStatusCode();
                string responseBody = await response.Content.ReadAsStringAsync();
                Console.WriteLine(responseBody);
            }
            catch (HttpRequestException e)
            {
                Console.WriteLine($"Error: {e.Message}");
            }
        }
    }
}
```

```javascript 200: Success theme={"system"}
{
    "status": "success",
    "schedules": {
        "Title 1": {
            "lastScheduleDate": "2024-01-05T22:30:00Z",
            "schedule": [
                "20:03Z",
                "22:34Z"
            ]
        },
        "Title 2": {
            "schedule": [
                "13:05Z",
                "22:14Z"
            ],
            "lastScheduleDate": "2024-01-04T22:30:00Z",
            "daysOfWeek": [
                2,
                3,
                4
            ]
        }
    }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.